Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.tree.tiny
Class TinyBuilderCondensed

    java.lang.Object
      net.sf.saxon.event.Builder
          net.sf.saxon.tree.tiny.TinyBuilder
              net.sf.saxon.tree.tiny.TinyBuilderCondensed

All Implemented Interfaces:
  Result, Receiver

    public class TinyBuilderCondensed

extends TinyBuilder

Variant of the TinyBuilder to create a tiny tree in which multiple text nodes or attribute nodes sharing the same string value economize on space by only holding the value once.

Field Summary
`IntHashMap<int[]>` | `textValues`

Fields inherited from class net.sf.saxon.tree.tiny.TinyBuilder
`PARENT_POINTER_INTERVAL`

Fields inherited from class net.sf.saxon.event.Builder
`baseURI, config, currentRoot, JDOM_TREE, JDOM2_TREE, lineNumbering, LINKED_TREE, namePool, open, pipe, STANDARD_TREE, started, systemId, timing, TINY_TREE, TINY_TREE_CONDENSED, UNSPECIFIED_TREE_MODEL`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`TinyBuilderCondensed(PipelineConfiguration pipe)`

Method Summary
`void` | `attribute(NodeName nameCode, SimpleType typeCode, CharSequence value, int locationId, int properties)` For attribute nodes, the commoning-up of stored values is achieved simply by calling intern() on the string value of the attribute.
`void` | `endElement()` Callback interface for SAX: not for application use

Methods inherited from class net.sf.saxon.tree.tiny.TinyBuilder
`characters, close, comment, endDocument, getBuilderMonitor, getCurrentDepth, getLastCompletedElement, getSizeParameters, getTree, makeTextNode, namespace, open, processingInstruction, reset, setSizeParameters, setUnparsedEntity, startContent, startDocument, startElement`

Methods inherited from class net.sf.saxon.event.Builder
`getBaseURI, getConfiguration, getCurrentRoot, getPipelineConfiguration, getSystemId, isTiming, setBaseURI, setLineNumbering, setPipelineConfiguration, setSystemId, setTiming, usesTypeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textValues

    public IntHashMap<int[]> textValues

Constructor Detail

### TinyBuilderCondensed

    public TinyBuilderCondensed(PipelineConfiguration pipe)

Method Detail

### endElement

    public void endElement()
                    throws XPathException

  Description copied from class: `TinyBuilder`
  Callback interface for SAX: not for application use

  Specified by:
    `endElement` in interface `Receiver`
  Overrides:
    `endElement` in class `TinyBuilder`
  Throws:
    `XPathException` - if an error occurs

### attribute

    public void attribute(NodeName nameCode,
                          SimpleType typeCode,
                          CharSequence value,
                          int locationId,
                          int properties)
                   throws XPathException

  For attribute nodes, the commoning-up of stored values is achieved simply by calling intern() on the string value of the attribute.

  Specified by:
    `attribute` in interface `Receiver`
  Overrides:
    `attribute` in class `TinyBuilder`
  Parameters:
    `nameCode` - The name of the attribute
    `typeCode` - The type of the attribute, as held in the name pool. The additional bit NodeInfo.IS_DTD_TYPE may be set to indicate a DTD-derived type.
    `value` - the string value of the attribute
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this attribute
  NO_SPECIAL_CHARACTERS
    Attribute value contains no special characters
  Throws:
    `XPathException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.